#  World's summary figure
#  S.Chekanov

from java.awt import Font,Color
from jhplot  import  HPlot,P1D,JaPlot
from jhplot.jadraw  import JaLine, JaFLine, JaBox, JaKey, JaText


import sys
sys.path.append("./modules/")
sys.path.append(".")
from Measurement1  import *






massAverage=1718 
massError=6

widthAverage=137 
widthError=8 




# fill world's measurements
all=[]
# all.append( Measurement('K-meson beams',   1523.4 ,1.3,1.3,   80.2,2.6,2.6) )
all.append( Measurement1('e^{+}e^{-} annihilation',   1760, 15, 10, 15,   125, 25, 15,10) )
all.append( Measurement1('p #bar{p}',   1710, 0, 11, 12,   126, 16, 18,18) )
all.append( Measurement1('e p ZEUS DIS',   1727, 0.0, 7, 7,   38.0, 0.0, 14,20) )
all.append( Measurement1('e p ZEUS (prel.) 0.5 fb^{-1}', 1677, 6, 6, 16, 194.0, 22, 62,24)) 







c1 = JaPlot("Canvas",800,650,3, 1)
c1.setMarginX(0.2);

big = Font("Dialog", Font.BOLD+Font.ITALIC, 24)
c1.setGTitle("f_{0} (1710) world's summary", big, Color.black)


c1.setGridAll(0,0)
c1.setGridAll(1,0)
c1.visible(1)


# plot masses
c1.cd(1,1)
c1.removeAxes()
c1.showKey(0)
c1.setRange(1650,1800,0,100)
c1.showAxis(0)
c1.getPad().setTicksNumber(0,3)
c1.getPad().setSubTicksNumber(0,2)
c1.setNameX("mass (MeV)") 






rec = JaBox(massAverage-massError,0, massAverage+massError, 100, "USER")
rec.setColor(Color.yellow)
rec.setFillColor(Color.yellow)
rec.setTransparency(0.99)
rec.setFilled(1)
c1.add(rec)


# show PDG masses
line = JaLine(massAverage,0.0, massAverage, 100, "USER")
line.setPenWidth(2)
line.setColor(Color.red)
c1.add(line)




tot=len(all)
delta=100/(tot+1)
for i in range(len(all)):
             m=all[i]
             m.printMass()
             m.setY(delta+i*delta)
             c1.draw(m.getMass())





# plot masses
c1.cd(2,1)
c1.removeAxes()
c1.showKey(0)
c1.setRange(0,100,0,100)


jkey=JaKey(23,"PDG 2007", 50, 10, "USER")
jkey.setKeyColor(Color.yellow)
c1.add(jkey)



for i in range(len(all)):
             m=all[i]
             print "Labels=", m.printMass()
             m.setY(delta+i*delta*0.95)
             c1.add(m.getLabel())


c1.cd(3,1)
c1.removeAxes()
c1.showKey(0)
c1.setRange(0.0,250,0,100)
c1.showAxis(0)
c1.getPad().setTicksNumber(0,6)
c1.getPad().setSubTicksNumber(0,1)
c1.setNameX("width (MeV)")





rec = JaBox(widthAverage-widthError,0, widthAverage+widthError, 100, "USER")
rec.setColor(Color.yellow)
rec.setFillColor(Color.yellow)
rec.setTransparency(0.99)
rec.setFilled(1)
c1.add(rec)



# show PDG masses
line = JaLine(widthAverage,0.0, widthAverage, 100, "USER")
line.setColor(Color.red)
c1.add(line)




for i in range(len(all)):
             m=all[i]
             m.printWidth()
             m.setY(delta+i*delta)
             c1.draw(m.getWidth())


c1.update()

c1.export(Editor.DocMasterName()+".eps")



